summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-03-09 10:08:06 +0100
committerMichał Górny <mgorny@gentoo.org>2019-03-09 10:19:20 +0100
commit21fcd4ac75617c5f5c5ebd5970a2b5e96fae3142 (patch)
tree617e3e0ff49de9cb580c3e91dbf1141445aa4839 /xfce-extra
parentxfce-base/xfdesktop: Bump to 4.13.3 (diff)
downloadgentoo-21fcd4ac75617c5f5c5ebd5970a2b5e96fae3142.tar.gz
gentoo-21fcd4ac75617c5f5c5ebd5970a2b5e96fae3142.tar.bz2
gentoo-21fcd4ac75617c5f5c5ebd5970a2b5e96fae3142.zip
xfce-extra/xfce4-screenshooter: Bump to 1.9.4
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'xfce-extra')
-rw-r--r--xfce-extra/xfce4-screenshooter/Manifest1
-rw-r--r--xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.4.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-screenshooter/Manifest b/xfce-extra/xfce4-screenshooter/Manifest
index b28ab8058c3..8d4a3bdc1c3 100644
--- a/xfce-extra/xfce4-screenshooter/Manifest
+++ b/xfce-extra/xfce4-screenshooter/Manifest
@@ -1,2 +1,3 @@
DIST xfce4-screenshooter-1.9.1.tar.bz2 514979 BLAKE2B d66aa03561aaed01181710356fbde95d390575a87676eece6bd90b32e107e8cbc7b065a8c91b6badf8e9041d027280f8777dcfefbcea6f09cb1e096ffff091bb SHA512 e95385f65dfe5fdd1d7045a18c9404ab400db9ddd06a35de2b11c0a955b390a6d278903a3558c135ee9744c8062860f491339b5d035f53cac74a49c366bd8bb2
DIST xfce4-screenshooter-1.9.3.tar.bz2 502188 BLAKE2B 93b60422eb6cef23b4d1f29fca49370cead8f74c4ee27ea4abf2bb9b4fa006f1dd9e39ccc87c1d915a5e7cc902245caff4b7778b801436a1c25893f46e35f3fb SHA512 ba59fdca3900143a50b3b858986b1152d4574d302d2e041a5287933427a67f64542ca691c130030937344433ea893a1f082086f9c02a9edccaeedbdc0a2a50a2
+DIST xfce4-screenshooter-1.9.4.tar.bz2 500260 BLAKE2B e9834e5fab730ee9f22aa18d3e5d68c32afab18a5b621f60c1511b1929fd00f552aa2b9a67f8408c83fced93fa4c28d0a6993081b5dcdd6004e8f61e1d283eff SHA512 9f7240aafe8662cc8a8e105602ba26b31ea212ab4e74f55a4a3c80acf06f0316fe5376430c91a6a0b8e43e85763ca6df6a8af5f64c142c1ca3cce2f8ec3c31f9
diff --git a/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.4.ebuild b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.4.ebuild
new file mode 100644
index 00000000000..745c13b4646
--- /dev/null
+++ b/xfce-extra/xfce4-screenshooter/xfce4-screenshooter-1.9.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="Xfce4 screenshooter application and panel plugin"
+HOMEPAGE="https://goodies.xfce.org/projects/applications/xfce4-screenshooter"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.16:=
+ >=net-libs/libsoup-2.26:=
+ >=x11-libs/gdk-pixbuf-2.16:=
+ >=x11-libs/gtk+-3.20:3=
+ dev-libs/libxml2:=
+ x11-libs/libX11:=
+ x11-libs/libXext:=
+ x11-libs/libXfixes:=
+ >=xfce-base/exo-0.11:=
+ >=xfce-base/xfce4-panel-4.12:=
+ >=xfce-base/libxfce4util-4.10:=
+ >=xfce-base/libxfce4ui-4.12:="
+DEPEND="${RDEPEND}
+ dev-util/glib-utils
+ dev-util/intltool
+ sys-apps/help2man
+ virtual/pkgconfig"
+
+src_configure() {
+ local myconf=(
+ --enable-xfixes
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}